Home

Get bigmap keys

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/bigmaps/{name}/keys

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns keys of a contract bigmap with the specified name.

Parameters

addressstringrequiredpath

Contract address

namestringrequiredpath

Bigmap name is the last piece of the bigmap storage path. For example, if the storage path is ledger or assets.ledger, then the name is ledger. If there are multiple bigmaps with the same name, for example.

activeboolean | nullquery

Filters keys by status: true - active, false - removed.

keyobject | nullquery

Filters keys by JSON key. Note, this query parameter supports the following format: ?key{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?key.token_id=....

valueobject | nullquery

Filters keys by JSON value. Note, this query parameter supports the following format: ?value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?value.balance.gt=....

lastLevelobject | nullquery

Filters bigmap keys by the last update level.

selectobject | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortobject | nullquery

Sorts bigmap keys by specified field. Supported fields: id (default), firstLevel, lastLevel, updates.

offsetobject | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelinestringJsonJsonStringRawRawStringJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Successful response.

400Bad Request

Invalid request.